Page MenuHomePhabricator

Missing MSSQL Field in installer
Closed, ResolvedPublic

Description

maintenance\mssql\tables.sql

CREATE TABLE pagelinks ( ...

Missing column "pl_from_namespace".

Quick fix:
(Before second field)

pl_from_namespace INT NOT NULL DEFAULT 0,

No pl_backlinks_namespace index exists, effect unknown.

Event Timeline

EndlessCTE raised the priority of this task from to Normal.
EndlessCTE updated the task description. (Show Details)
EndlessCTE added a subscriber: EndlessCTE.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2015, 5:03 PM

Manually added the column after install to get around a Database Error after editing the main page (on a fresh install).

Aklapper raised the priority of this task from Normal to Needs Triage.Nov 18 2015, 5:20 PM
Aklapper added a project: MediaWiki-Installer.
Aklapper set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 5:20 PM

Hi @EndlessCTE, thanks for taking the time to report this!
Which MediaWiki version is this about?

MediaWiki 1.25.3
PHP 5.6.8 (apache2handler)
MS SQL Server 11.00.2100

Skizzerz claimed this task.Apr 25 2016, 2:30 AM
Skizzerz added a subscriber: Skizzerz.

Fixed in 1.27 / https://gerrit.wikimedia.org/r/#/c/285139/ (still pending merge, so don't close this task just yet)

Skizzerz closed this task as Resolved.May 2 2016, 9:35 PM